local ENERGY_COST = 1
local DROID_COST = .5
local mine = {}

function mine.new(resource)
  return {
    class = "mine",
    resource = resource,
    storage = 1000,
    production = 3,
    timer = 0,
    productionTime = 120,
    setup = false,
  }
end

function mine.init(data, build)
  data.colony.inventory[build.resource].max = data.colony.inventory[build.resource].max + build.storage
  data.colony.inventory[build.resource].production = data.colony.inventory[build.resource].production + math.ceil(build.production * data.resource[build.resource].mod)
  data.colony.inventory.mining_droid.craftUsage = data.colony.inventory.mining_droid.craftUsage + DROID_COST
  data.colony.inventory.mining_droid.maxUsage = data.colony.inventory.mining_droid.maxUsage + DROID_COST
  dbg.add(build.resource.." "..build.class.." created at planet "..data.id..".", "BUILD")
end

return mine