local c = {}

function c.new(planet, size)
  local lvl = math.random(2, 10)
  return {
    level = lvl,
    population = {poor = lvl, trained = math.ceil(lvl / 2), wealthy = math.ceil(lvl / 5),},
    inventory = engine.component.inventory.new(1000),
    building = engine.component.building.new(),
    updateTimer = 60,
    updateTimeOut = 60,
    shipTimer = 0,
    shipTimeout = 10,
    currentProduction = 0,
    shipsBought = false,
    tradeGoods = {},
  }
end

return c