local glowBug = {}

function glowBug.new(player, x, y)
  return {
    type = "ship",
    class = "glow_bug",
    name = "Glow Bug",
    cost = 2000000,
    owner = engine.component.owner.new(player),
    transform = engine.component.transform.new(x, y, .02),
    health = engine.component.health.new(150, 0, 0, 100, 1),
    target = {id = 0, docked = 0,},
    engine = engine.component.engine.new(150),
    renderer = engine.component.renderer.new("glow_bug", 16, 16),
    cargo = engine.component.cargo.new(1000),
    route = engine.component.route.new(),
    recipe = {
      {item = "construction_materials", amt = 220,},
      {item = "piduino_boards", amt = 130,},
      {item = "fabrics", amt = 20,},
    },
  }
end

return glowBug