local shuttle = {}

function shuttle.new(player, x, y)
  return {
    type = "ship",
    class = "shuttle",
    name = "Shuttle",
    cost = 1000000,
    owner = engine.component.owner.new(player),
    transform = engine.component.transform.new(x, y, .02),
    health = engine.component.health.new(100, 10, 0, 50, .1),
    target = {id = 0, docked = 0,},
    engine = engine.component.engine.new(100),
    renderer = engine.component.renderer.new("shuttle", 16, 16),
    cargo = engine.component.cargo.new(500),
    route = engine.component.route.new(),
    recipe = {
      {item = "construction_materials", amt = 200,},
      {item = "piduino_boards", amt = 100,},
      {item = "fabrics", amt = 20,},
    },
  }
end

return shuttle