local nav = engine.ui.window:extend()

function nav:setup()
  local trans = {0,0,0,0}
  local tCol = engine.system.vars.user.uiText
  local bg = "standard_slider_button"
  local y = 32
  local h = 128
  
  self.label = "Route Helper"
  self.manager.currentStarArrayPos = 1
  self.manager.currentStarID = game.world.stars[1]
  self.manager.currentPlanetArrayPos = 1
  self.manager.currentPlanetID = game.world.objects[1].planets[1]
  
  self:setSize(306, h)
  self:setPosition(0, 0)
  self:setBackground("standard_window")
  self:setHoverColour("standard_window_hover")
  self:add("nav_buttons", engine.prefab.nav_buttons:new(), 3, 32)
  self:add("trade_goods", engine.prefab.trade_goods:new(), 3, self:stackUnder("nav_buttons", 2))
  
end

return nav