local s = {}

function s.startup()
  s.ui = engine.ui.window_manager:new()
  s.ui:add("save", engine.window.save_window:new())
end

function s.mousePressed(x, y, b)
  s.ui:mousePressed(x, y, b)
end

function s.mouseReleased(x, y, b)
  s.ui:mouseReleased(x, y, b)
end

function s.update(dt)
  s.ui:updateMaster(dt)
end

function s.draw()
  game.world:draw()
  s.ui:draw()
end

return s