local WIDTH = 600
local HEIGHT = 256

--GENERATE BUTTON--

local genBtn = engine.ui.button:extend()
      function genBtn:onClick(x, y, b)
        local choice = self.parent.objects.tabs.currentTab
        self.parent.objects.tabs.objects[choice]:generate()
      end

--WINDOW--

local mapgen = engine.ui.window:extend()

function mapgen:setup()
  self.label = "Galaxy Generator"
  self:setPosition(engine.screenWidth / 2, engine.screenHeight / 2)
  self:setSize(WIDTH, HEIGHT)
  self:setBackground("standard_window")
  --self:toggleMoveable()
  self:add("tabs", engine.ui.tab:new("tabs", 5, 25, (WIDTH - 10) / 2, HEIGHT - 63, "standard_container", "standard_container_hover", {0,0,0,0}))
  self.objects.tabs:addTab("Triral", engine.map_generators.triral)
  self.objects.tabs:addTab("Spiral", engine.ui.container)
  self:add("Generate", genBtn:new("Generate", 5, HEIGHT - 37, (WIDTH - 10) / 2, 32, "standard_button", "standard_button_hover", {0,0,0,255}, true))
  
end

function mapgen:update(dt)
  local x = (engine.screenWidth - self.w) / 2
  local y = (engine.screenHeight - self.h) / 2
  --self:setPosition(x, y)
end

return mapgen