local trackBtn = engine.ui.button:extend()

function trackBtn:setTracker(table, id, comp, key)--Table, Int, String, String
  self.table = table
  self.shipId = id
  self.component = comp
  self.dataKey = key
  self.lastLabel = ""
  self.isDirty = true
end

function trackBtn:setAltValue(value, alt)
  self.valCheck = value
  self.altLabel = alt
end

function trackBtn:update(dt, mx, my)
  
  local label = "NO TRACKER!"
  local data = self.table
  --if self.shipId ~= 0 then
    --data = self.table[self.shipId]
  --end
  if data == nil then return end
  if data[self.component] == nil then return end
  if self.shipId ~= nil then
    if self.dataKey ~= nil then
      label = data[self.component][self.dataKey]
    else
      label = data[self.component]
    end
    if type(label) == "number" then
      label = math.floor(label)
    end
    if self.valCheck ~= nil then
      if label == self.valCheck then
        label = self.altLabel
      end
    end
  end
  self.label = tostring(label)
  if self.label ~= self.lastLabel then
    self.isDirty = true
    self.lastLabel = label
  end
end

return trackBtn