local DROID_COST = .5

local miner = engine.system.behaviour:new()
      miner.requirements = {
        "none"
      }

function miner:update(dt, data, id)
  if data.colony.updateMines then
    local resource = data.colony.building[id].resource
    local mod = data.resource[resource].mod
    local amt = math.ceil((data.colony.building[id].production * mod) / 25)
    local max = data.colony.inventory[resource].max
    local stored = data.colony.inventory[resource].amt
    if stored + amt <= max then
      if data.colony.inventory.mining_droid.amt > DROID_COST then
        data.colony.inventory.mining_droid.amt = data.colony.inventory.mining_droid.amt - DROID_COST
        data.colony.inventory.mining_droid.currentUsage = data.colony.inventory.mining_droid.currentUsage + DROID_COST
        
        data.colony.inventory[resource].amt = data.colony.inventory[resource].amt + amt
        data.colony.inventory[resource].currentProduction = data.colony.inventory[resource].currentProduction + amt
      end
    end
  end
end

return miner