local inv = {}

local function getTable(i, t, tier, max)
  for k, v in pairs(t[tier]) do
    i[k] = {
      tier = tier,
      max = max,
      amt = max / 2,
      production = 0,
      usage = 0,
      craftUsage = 0,
      maxUsage = 0,
      popUsage = 0,
      currentUsage = 0,
      usageString = "0/0",
      price = 1,
      }
  end
end

function inv.new(max)
  local i = {}
  for k, v in pairs(engine.items) do
    if type(engine.items[k]) == "table" then
      getTable(i, engine.items, k, max)
    end
  end
  return i
end

return inv