local regen = engine.system.behaviour:new()
      regen.requirements = {
        "health",
      }

function regen:update(dt, data)
  data.health.armour.current = math.min(data.health.armour.current + (data.health.armour.regen * dt), data.health.armour.max)
  data.health.shield.current = math.min(data.health.shield.current + (data.health.shield.regen * dt), data.health.shield.max)
end

return regen