local trans = {0,0,0,0}
local pl = engine.ui.container:extend()

function pl:setup()
  local data = game.world:getObjectData(self.win.planetId)
  self.win.label = self.win.label.." ("..data.colony.level..")"
  self.win.isDirty = true
end

function pl:onOpen()
  self:add("camera", engine.ui.entity_camera:new("planet", self.win.planetId, 25, 25, self.w - 50, self.h - 50))
end

function pl:onClose()
  game.world:removeCamera("planet_"..self.win.planetId)
end

function pl:update(dt)
  self.isDirty = true
end

return pl