local l = {
  menuLabel = "Load",
  }

function l.startup()
  l.ui = engine.ui.window_manager:new()
  l.ui:add("load", engine.window.load_window:new())
end

function l.mousePressed(...)
  l.ui:mousePressed(...)
end

function l.mouseReleased(...)
  l.ui:mouseReleased(...)
end

function l.update(dt)
  l.ui:updateMaster(dt)
end

function l.draw()
  if game.world ~= nil then
    game.world:draw()
  end
  l.ui:draw()
end

return l