local menu = {}

function menu.startup()
  menu.ui = engine.ui.window_manager:new()
  menu.ui:add("Menu", engine.window.game_menu:new())
  menu.ui:centerObject("Menu")
end

function menu.mousePressed(x, y, b)
  menu.ui:mousePressed(x, y, b)
end

function menu.mouseReleased(x, y, b)
  menu.ui:mouseReleased(x, y, b)
end

function menu.update(dt)
  menu.ui:updateMaster(dt)
end

function menu.draw()
  --game.world:draw()
  menu.ui:draw()
end

return menu