local WIDTH = 300
local BTNWID = 300 - 16 - 8 - 2
local BTNHIG = 16

local opBtn = engine.ui.button:extend()
      function opBtn:update(dt)
        if self.win.filename ~= nil then
          self.label = "Open '"..self.win.filename.."'"
        else
          self.label = "Open"
        end
      end
      function opBtn:onClick(x, y, b)
        if self.win.filename ~= nil then
          engine.state.sprite_edit.loadImage(self.win.filename)
        end
      end

local open = engine.ui.window:extend()

function open:setup(folder)
  self.folder = folder
  self.label = "Open"
  self:setSize(WIDTH, 10)
  self:setPosition(engine.screenWidth - WIDTH, 0)
  self:setBackground("standard_window")
  self:add("file_list", engine.prefab.file_list:new())
  self:add("preview", engine.prefab.preview:new())
  self:add("open_button", opBtn:new("Open", 4, self:stackUnder("preview", 2), WIDTH - 8, 32, "standard_button", "standard_button_hover", engine.system.vars.user.uiText, true))
end

return open