local pBtn = engine.ui.button:extend()
      function pBtn:onClick(x, y, b)
        local col = self.data.bCol
        if love.keyboard.isDown("lshift") then
          if b == 1 then
            self:setBackground(self.win.selectedCol)
          elseif b == 2 then
            self:setBackground(self.win.secondaryCol)
          end
        else
          if b == 1 then
            self.win.data.selectedCol = self.bCol
          elseif b == 2 then
            self.win.data.secondaryCol = self.bCol
          end
        end
      end

local selectBox = engine.ui.container:extend()
      function selectBox:setup()
        local xOff = 15
        local yOff = 7
        local btnWid = 32
        local btnHig = 32
        local space = 2
        local white = engine.ui.colour.white
        local black = engine.ui.colour.black
        self:add("colour_1", pBtn:new("", xOff, yOff, btnWid, btnHig, black, black, black))
        self.currentCol = white
        for i = 2, 16 do
          if i == 9 then
            xOff = 15
            yOff = yOff + btnHig + space
          else
            xOff = xOff + btnWid + space
          end
          self:add("colour_"..i, pBtn:new("", xOff, yOff, btnWid, btnHig, white, white, white))
        end
        self:setSize(300, 80)
      end

return selectBox