local function getButton(label, x)
  local btn = engine.ui.button:extend()
  function btn:setup()
    self.showText = false
    self.isPicture = true
  end
  function btn:onClick(x, y, b)
    self.win.currentTool = label
  end
  function btn:update(dt, x, y)
    if self.win.currentTool == label then
      self.isHovered = true
    end
  end
  return btn:new(label, x, 1, 32, 32, label.."_button", label.."_button", black)
end

local toolBox = engine.ui.container:extend()
      function toolBox:setup()
        self:setSize(250, 64)
        self:add("pencil_button", getButton("pencil", 7))
        self:add("eraser_button", getButton("erase", 41))
        self:add("brush_button", getButton("brush", 75))
        self:add("line_button", getButton("line", 109))
        self:add("box_button", getButton("box", 143))
        self:add("circle_button", getButton("circle", 177))
        self:add("fill_button", getButton("fill", 211))
        self:centerObject("pencil_button", "v")
        self:centerObject("eraser_button", "v")
        self:centerObject("brush_button", "v")
        self:centerObject("line_button", "v")
        self:centerObject("box_button", "v")
        self:centerObject("circle_button", "v")
        self:centerObject("fill_button", "v")
      end
      
      return toolBox