local starSlide = engine.ui.slider:extend()
      function starSlide:defineBounds()
        self:setLimits(100, 600, 20)
        self:setValue(100)
      end

local spinSlide = engine.ui.slider:extend()
      function spinSlide:defineBounds()
        self:setLimits(2, 10, 1)
        self:setValue(2)
      end

local t = engine.ui.container:extend()

function t:setup()
  local WIDTH = self.w
  self:add("star_slider", starSlide:new("star_slider", 6, 6, WIDTH - 10, 32, "standard_slider", "standard_slider", engine.ui.colour.black, true))
  self:add("spin_slider", spinSlide:new("spin_slider", 6, 39, WIDTH - 10, 32, "standard_slider", "standard_slider", engine.ui.colour.black, true))
end

function t:generate()
  local starCount = self.objects.star_slider:getValue()
  local spin = self.objects.spin_slider:getValue()
  dbg.add(starCount..", "..spin, "MAPGEN")
end

return t