local new_game = {}

function new_game.startup()
  new_game.ui = engine.ui.window_manager:new()
  new_game.ui:add("map_maker", engine.window.map_maker:new())
  new_game.ui:centerObject("map_maker")
end

function new_game.mousePressed(x, y, b)
  new_game.ui:mousePressed(x, y, b)
end

function new_game.mouseReleased(x, y, b)
  new_game.ui:mouseReleased(x, y, b)
end

function new_game.wheelMoved(x, y, s)
  new_game.ui:wheelMoved(x, y, s)
end

function new_game.update(dt)
  new_game.ui:updateMaster(dt)
end

function new_game.draw()
  new_game.ui:draw()
end

return new_game