local vec = engine.class.base:extend()

function vec:init(data)
  self.x = data.x
  self.y = data.y
end

function vec:add(vec)
  self.x = self.x + vec.x
  self.y = self.y + vec.y
end

function vec.addGet(vec1, vec2)
  return vec:new({x = vec1.x + vec2.x, y = vec1.y + vec2.y})
end

function vec:sub(vec)
  self.x = self.x + vec.x
  self.y = self.y + vec.y
end

function vec.subGet(vec1, vec2)
  return vec:new({x = vec1.x - vec2.x, y = vec1.y - vec2.y})
end

function vec:mult(int)
  self.x = self.x * int
  self.y = self.y * int
end

function vec:div(int)
  self.x = self.x / int
  self.y = self.y / int
end

function vec:mag()
  return (self.x * self.x) + (self.y * self.y)
end

function vec:norm()
  local m = self:mag()
  if m ~= 0 then
    self:div(m)
  end
end

function vec:limit(int)
  if self:mag() > int then
    self:norm()
    self:mult(int)
  end
end

return vec