local healthBox = engine.ui.asset:extend()

function healthBox:setBounds(id, comp)
  self.id = id
  self.comp = comp
end

function healthBox:update(dt)
  if self.isVisible then
    local data = game.world:getObjectData(self.id, "health")
    self.perc = data[self.comp].current / data[self.comp].max
  end
end

function healthBox:drawBackground()
  local lastCanvas = self:getCanvas()
  love.graphics.setColor(self.bCol)
  love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
  love.graphics.setColor(self.hCol)
  love.graphics.rectangle("fill", self.x, self.y, self.w * self.perc, self.h)
end

return healthBox