local lab = engine.ui.asset:extend()

function lab:internalSetup()
  self.type = "label"
end

function lab:update(dt)
  if self.isHovered then
    self.isDirty = false
  end
end

function lab:drawBackground()
  if self.image ~= nil then
    if self.isTiled then
      self:tileBackground()
    end
  else
    engine.ui.colour.set(self.bCol)
    love.graphics.rectangle("fill", 0, 0, self.w, self.h)
  end
  local str = self.label
  local w = font:getWidth(str)
  local h = font:getHeight()
  local px = self.x + math.floor(((self.w - w) / 2))
  local py = self.y + math.floor(((self.h - h) / 2))
  engine.ui.colour.set(self.tCol)
  love.graphics.print(str, px, py)
end

return lab