local input = engine.ui.input_box:extend()

function input:textInput(t)
  if tonumber(t) then
    local x = self.cursor.x
    if self.isSelected then
      if x == 1 then
        self.text = t..self.text
      elseif x < #self.text then
        local str = self.text
        local pcVal = string.sub(str, 1, x)
        local acVal = string.sub(str, x, #str)
        self.text = pcVal..t..acVal
      else
        self.text = self.text..t
      end
      self.cursor.x = x + #t
      self.isDirty = true
      return true
    end
  end
end

return input